const OFF = 0
const ERROR = 2

module.exports = {
  plugins: [
    'jsx-a11y'
  ],
  parserOptions: {
    ecmaFeatures: {
      jsx: true
    }
  },
  rules: {
    'jsx-a11y/anchor-has-content': [ ERROR, { components: [ '' ] } ],
    'jsx-a11y/aria-props': ERROR,
    'jsx-a11y/aria-proptypes': ERROR,
    'jsx-a11y/aria-role': ERROR,
    'jsx-a11y/aria-unsupported-elements': ERROR,
    'jsx-a11y/click-events-have-key-events': OFF,
    'jsx-a11y/heading-has-content': [ ERROR, { components: [ '' ] } ],
    'jsx-a11y/href-no-hash': [ OFF, { components: [ 'a' ] } ],
    'jsx-a11y/html-has-lang': ERROR,
    'jsx-a11y/img-has-alt': ERROR,
    'jsx-a11y/img-redundant-alt': ERROR,
    'jsx-a11y/label-has-for': [ OFF, { components: [ 'label' ] } ],
    'jsx-a11y/lang': ERROR,
    'jsx-a11y/mouse-events-have-key-events': OFF,
    'jsx-a11y/no-access-key': ERROR,
    'jsx-a11y/no-marquee': ERROR,
    'jsx-a11y/no-onchange': ERROR,
    'jsx-a11y/no-static-element-interactions': OFF,
    'jsx-a11y/onclick-has-focus': OFF,
    'jsx-a11y/onclick-has-role': OFF,
    'jsx-a11y/role-has-required-aria-props': ERROR,
    'jsx-a11y/role-supports-aria-props': ERROR,
    'jsx-a11y/scope': ERROR,
    'jsx-a11y/tabindex-no-positive': ERROR
  }
}
